Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157142 - README.sources file for top-level of CD and DVD images
Summary: README.sources file for top-level of CD and DVD images
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-07 14:36 UTC by Matt Domsch
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-09 19:17:05 UTC


Attachments (Terms of Use)

Description Matt Domsch 2005-05-07 14:36:18 UTC
Description of problem:
There exists no file on the top level of the CD-ROMs or DVDs to indicate where
source code may be obtained if it's not already on the CD/DVD media you're
holding.  At LinuxWorldExpo in Boston, Feb 2005, a representative of the FSF was
a little bit hacked that the project was distributing free DVDs of FC3 which
didn't have the source, nor a "written offer of source".

Version-Release number of selected component (if applicable):
<= FC4-test3

Additional info:

How about something like this, in a top-level README.sources file to go on each
bit of media?

Source code for all components of Fedora Core is available for download from
http://fedora.redhat.com.  Copies of the distribution may also be available on
physical media from vendors such as CheapBytes (http://www.cheapbytes.com) at a
modest charge.  The Fedora Project in no way endorses any media distributors. 
In the event source code for a component you desire is not available through one
of the above means, you may send your request to fedora-list@redhat.com.

Comment 1 Bill Nottingham 2005-05-09 18:47:40 UTC
It shouldn't point to cheapbytes, it should just point to the list of vendors on
the web site. Aside from that, seems OK.

Comment 2 Bill Nottingham 2005-05-09 19:11:02 UTC
Actually, I'm not even sure mentioning the vendors here makes sense... if you
bought from the vendor, it's their responsibility. And if you downloaded it, you
get it from where you downloaded it from. So I guess this mainly applies to
freebie handouts, where the link to the download site should be sufficient.


Comment 3 Matt Domsch 2005-05-09 19:13:03 UTC
Yes, it's the freebie handouts that were the problem.
How's this?  Can this get incorporated into -test4 or final?

Source code for all components of Fedora Core is available for download from
http://fedora.redhat.com.  Copies of the distribution may also be available on
physical media from vendors listed at that site, at a modest charge.  In the 
event source code for a component you desire is not available through one of 
the above means, you may send your request to fedora-list@redhat.com.

Comment 4 Bill Nottingham 2005-05-09 19:17:05 UTC
The following was added.

https://www.redhat.com/archives/fedora-extras-commits/2005-May/msg00548.html


Note You need to log in before you can comment on or make changes to this bug.